Bug 900941 (JBPAPP6-1329) - CLIArgumentsTestCase fails consistently on Windows platform
Summary: CLIArgumentsTestCase fails consistently on Windows platform
Keywords:
Status: CLOSED WORKSFORME
Alias: JBPAPP6-1329
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CLI
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: TBD EAP 6
Assignee: baranowb
QA Contact:
URL: http://jira.jboss.org/jira/browse/JBP...
Whiteboard:
Depends On:
Blocks: JBPAPP6-1179
TreeView+ depends on / blocked
 
Reported: 2012-09-27 08:12 UTC by Madhumita Sadhukhan
Modified: 2014-07-21 05:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-21 05:04:22 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker AS7-5350 0 Major Resolved CliArgumentsTestCase.testWrongControler always fails on windows 2015-07-29 08:56:42 UTC
Red Hat Issue Tracker JBPAPP6-1329 0 Major Closed CLIArgumentsTestCase fails consistently on Windows platform 2015-07-29 08:56:42 UTC

Description Madhumita Sadhukhan 2012-09-27 08:12:21 UTC
project_key: JBPAPP6

After running on available fastest windows machines in QE lab I still found  CliArgumentsTestCase.testWrongControler  failing on all runs on windows.
Issue is already tracked in AS7-5350

Additionally there were other testcase failures due to JBOSS_HOME not set

for eg. https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-AS-Testsuite/job/eap-60-as-testsuite-Windows-matrix-OracleJDK6/jdk=java16_default,label=dev102-W2k8r2-x86_64/lastCompletedBuild/testReport/org.jboss.as.test.integration.management.cli/CliArgumentsTestCase/testConnectArgument/

Error Message

WARN: can't load the config file because JBOSS_HOME environment variable is not set. 

Stacktrace

java.lang.AssertionError: WARN: can't load the config file because JBOSS_HOME environment variable is not set.

	at org.junit.Assert.fail(Assert.java:93)
	at org.junit.Assert.assertTrue(Assert.java:43)
	at org.jboss.as.test.integration.management.cli.CliArgumentsTestCase.testConnectArgument(CliArgumentsTestCase.java:108)

Comment 1 Madhumita Sadhukhan 2012-09-27 08:12:57 UTC
Link: Added: This issue is a dependency of AS7-5350


Comment 2 Madhumita Sadhukhan 2012-09-27 09:15:41 UTC
Link: Added: This issue is a dependency of JBPAPP-8860


Comment 3 Anne-Louise Tangring 2012-11-13 20:54:54 UTC
Docs QE Status: Removed: NEW 



Note You need to log in before you can comment on or make changes to this bug.